<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$servername = "localhost";
$username = "root";
$password = "";
$dbname = "data";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Logout script
if (isset($_POST['logout'])) {
    session_destroy();
    header("Location: index.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">

    <style>
        .sidebar {
            position: fixed;
            top: 0;
            left: 0;
            height: 100%;
            width: 250px; 
            z-index: 1000; 
            background-color: #343a40; 
            padding-top: 3.5rem; 
            transition: transform 0.3s ease-in-out;
        }

        main {
            margin-left: 250px; 
            padding-top: 3.5rem; 
        }

        @media (max-width: 991.98px) {
            .sidebar {
            transform: translateX(-100%); 
            }
            .sidebar.show {
            transform: translateX(0); 
            }
            main {
            margin-left: 0; 
            }
        }

        


    </style>
</head>
<body>
    <?php
         
        $getrecordcount =  "SELECT COUNT(*) AS count_result FROM forms";
        $result = mysqli_query($conn, $getrecordcount);
        $row = mysqli_fetch_assoc($result);
        ?>

        <?php
            include('navbard-sidebar.php'); 
        ?> 
        <main>
            <div class="container">
                <div class="row mt-5">
                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Total Records received: <?php echo $row['count_result'];?></h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-lg-4">
                        <button id="exportButton" class="btn btn-primary">Export Data</button>
                    </div>
                </div>
            </div>
        </main> 

    
    <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.16.9/xlsx.full.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>


    <script>
        $(document).ready(function(){
            $("#exportButton").click(function(){
                $.ajax({
                    url: "export.php",
                    type: "POST",
                    data: { action: 'exportData' },
                    success: function(response) {
                        downloadExcel(response);
                        
                    },
                    error: function(xhr, status, error) {
                        console.error(error);
                        alert("Failed to export data!");
                    }
                });
            });
        });

        // Function to download Excel file
        function downloadExcel(data) {
            if(data == 'null'){
                alert('No data available to export');
                return false;
            }
            // Convert JSON data to array of arrays
            var dataArray = [];
            var headers = Object.keys(data[0]);
            dataArray.push(headers);
            data.forEach(function(item) {
                var row = [];
                headers.forEach(function(header) {
                    row.push(item[header]);
                });
                dataArray.push(row);
            });

            // Convert array of arrays to Excel worksheet
            var worksheet = XLSX.utils.aoa_to_sheet(dataArray);
            var workbook = XLSX.utils.book_new();
            XLSX.utils.book_append_sheet(workbook, worksheet, "Sheet1");

            // Save workbook to Excel file
            var today = new Date();
            var filename = "table_data_" + today.getFullYear() + "-" + (today.getMonth() + 1) + "-" + today.getDate() + ".xlsx";
            XLSX.writeFile(workbook, filename);
        }

        document.querySelector('.navbar-toggler').addEventListener('click', function() {
            document.querySelector('.sidebar').classList.toggle('show');
        });
    </script>
</body>
</html>