<?php
    ini_set('display_errors', 1);
    ini_set('display_startup_errors', 1);
    error_reporting(E_ALL);

    $servername = "localhost";
    $username = "root";
    $password = "";
    $dbname = "data";

    // Create connection
    $conn = new mysqli($servername, $username, $password, $dbname);

    // Check connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Logout script
    if (isset($_POST['logout'])) {
        session_destroy();
        header("Location: index.php");
        exit();
    }
    
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Filter Page</title>

    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/v/dt/dt-2.0.2/datatables.min.css" rel="stylesheet">

    <style>
        .sidebar {
            position: fixed;
            top: 0;
            left: 0;
            height: 100%;
            width: 250px; 
            z-index: 1000; 
            background-color: #343a40; 
            padding-top: 3.5rem; 
            transition: transform 0.3s ease-in-out;
        }

        main {
            margin-left: 250px; 
            padding-top: 3.5rem; 
        }

        @media (max-width: 991.98px) {
            .sidebar {
            transform: translateX(-100%); 
            }
            .sidebar.show {
            transform: translateX(0); 
            }
            main {
            margin-left: 0; 
            }
        }

        @media (max-width: 767px) {
            #table_wrapper .dt-layout-row {
                display: flex !important;
                align-items: center !important;
                justify-content: space-between !important;
            }
        }

    </style>
</head>
<body>
    <?php
        include('navbard-sidebar.php');
    ?>
    <main>
    <div class="container">
        <form class="row mt-5" id="filterform" method="post" action="filter.php">
            <div class="col-md-4">
                <label for="fromDate" class="form-label">From Date</label>
                <input type="date" class="form-control" id="fromDate" name="fromDate" required>
            </div>
            <div class="col-md-4">
                <label for="toDate" class="form-label">To Date</label>
                <input type="date" class="form-control" id="toDate" name="toDate" required>
            </div>
            <div class="col-md-4">
                <label class="invisible">Submit</label>
                <div style="display: flex;flex-wrap: nowrap;">
                    <button type="submit" class="btn btn-primary form-control">Submit</button>
                    
                    <a class="btn btn-success ml-2" href="filter.php" style="display: flex;align-items: center">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-clockwise" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2z"/>
                            <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466"/>
                        </svg>
                    </a>
                </div>
            </div>

        </form>
        <div class="table-responsive mt-5">
            <table class="table table-striped" id="table">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Position</th>
                        <th>Date Applied</th>
                        <th style="display: none;">Resume URL</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php

                    if ($_SERVER['REQUEST_METHOD'] == "POST") {
                        $fromDate = $_POST['fromDate'];
                        $toDate = $_POST['toDate'];

                        $fromDate = date('Y-m-d', strtotime($fromDate));
                        $toDate = date('Y-m-d', strtotime($toDate));

                        $getusers = "SELECT * FROM forms WHERE created_date >= '$fromDate' AND created_date <= '$toDate'";
                    } else {
                        $getusers = "SELECT * FROM forms";
                    }

                    $base_url = "http://" . $_SERVER['HTTP_HOST'] . dirname(dirname($_SERVER['REQUEST_URI']));
                    $getResultData = mysqli_query($conn, $getusers);
                    if(mysqli_num_rows($getResultData) > 0 ){
                        $rows = mysqli_fetch_all($getResultData, MYSQLI_ASSOC);
                        foreach ($rows as $index => $row) {?>
                            <tr>
                                <td><?php echo $index + 1?></td>
                                <td><?php echo $row['name']?></td>
                                <td><?php echo $row['email']?></td>
                                <td><?php echo $row['phone']?></td>
                                <td><?php echo $row['position']?></td>
                                <td><?php echo $row['created_date']?></td>
                                <td style="display: none;"><?php echo $base_url.'/'.$row['resume']; ?></td>
                                <td class="view-buttons">
                                    <div class="row">
                                        <a class="btn btn-info btn-sm" href="../<?php echo $row['resume']; ?>" target="_blank">Resume</a>
                                        <a class="btn btn-danger btn-sm ml-2" href="delete.php?id=<?php echo $row["id"]; ?>" onclick="return confirm('Are you sure you want to delete this item?');">Delete</a>

                                    </div>
                                </td>
                            </tr>
                        <?php }
                    }
                    ?>
                </tbody>
            </table>
        </div>
    </div>
    </main>
    <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/v/dt/dt-2.0.2/datatables.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>


    
    <script>
        $(document).ready(function(){
            var table = $('#table').DataTable({
                searching: true, 
                paging: false,   
                ordering: false, 
                info: true,    
                lengthChange: false,
                autoWidth: false,   
                responsive: true  ,
            });

            $('.dt-layout-cell.dt-start:first').append("<button class='btn btn-info btn-sm' id='exportBtn'>Export</button>");
 


            $('#exportBtn').click(function() {
                var csv = '';

                // Get column headings
                var headings = [];
                $('#table thead th:not(:last-child)').each(function() {
                    headings.push($(this).text());
                });

                // Append headings to CSV string
                csv += headings.join(',') + '\n';

                // Loop through each row in the table
                $('#table tbody tr').each(function() {
                    var rowData = '';

                    $(this).find('td:not(:last-child)').each(function() {
                        rowData += $(this).text() + ',';
                    });

                    csv += rowData + '\n';
                });

                var csvBlob = new Blob([csv], { type: 'text/csv' });

                // Create download link
                var link = document.createElement('a');
                link.href = window.URL.createObjectURL(csvBlob);
                link.download = 'filtered_table_data.csv';
                link.style.display = 'none';
                document.body.appendChild(link);

                // Trigger download
                link.click();

                // Cleanup
                document.body.removeChild(link);
            });

        });
        
        document.querySelector('.navbar-toggler').addEventListener('click', function() {
            document.querySelector('.sidebar').classList.toggle('show');
        });
    </script>
</body>
</html>
